GCLOUD_DATAPROC_CLUSTERS_DELETE(1)

NAME

gcloud dataproc clusters delete - delete a cluster

SYNOPSIS

gcloud dataproc clusters delete NAME [--async] [--region=REGION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Delete a cluster.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to delete.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --region=REGION
        Specifies the Cloud Dataproc region to use. Each Cloud Dataproc region constitutes an independent resource namespace constrained to deploying instances into Google Compute Engine zones inside the region. The default value of "global" is a special multi-region namespace which is capable of deploying instances into all Google Compute Engine zones globally, and is disjoint from other Cloud Dataproc regions. Overrides the default dataproc/region property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To delete a cluster, run:
    $ gcloud dataproc clusters delete my_cluster